Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 644418 - media-video/ffdiaporama-2.2_pre20140701 - build w/ Qt5 unconditionally, stabilise, cleanup old
Summary: media-video/ffdiaporama-2.2_pre20140701 - build w/ Qt5 unconditionally, stabi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: laurantino
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: qt4-removal 640448
  Show dependency tree
 
Reported: 2018-01-13 03:01 UTC by Andreas Sturmlechner
Modified: 2018-01-21 20:32 UTC (History)
1 user (show)

See Also:
Package list:
media-video/ffdiaporama-2.2_pre20140701-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-01-13 03:01:17 UTC
Qt4 is dead and going away, since this package has already optional Qt5 support, please make it unconditional and drop the Qt4 option.

Latest version is long enough in tree, so we can begin with stabilisation after the qt5 USE flag has been dropped.
Comment 1 Larry the Git Cow gentoo-dev 2018-01-13 23:28:54 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=172d618e17f20f7cddc633caeb8986acea7e8ad8

commit 172d618e17f20f7cddc633caeb8986acea7e8ad8
Author:     Olivier Laurantin <olivier.laurantin@laposte.net>
AuthorDate: 2018-01-13 21:22:15 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-01-13 23:28:35 +0000

    media-video/ffdiaporama: Drop qt4 support
    
    Drop qt4 support and build unconditionally with qt5
    
    Bug: https://bugs.gentoo.org/644418
    Closes: https://github.com/gentoo/gentoo/pull/6854

 .../ffdiaporama-2.2_pre20140701-r1.ebuild          | 80 ++++++++++++++++++++++
 1 file changed, 80 insertions(+)}
Comment 2 Andreas Sturmlechner gentoo-dev 2018-01-13 23:31:13 UTC
Thanks, arches please stabilise!
Comment 3 Tobias Klausmann gentoo-dev 2018-01-15 19:06:43 UTC
Stable on amd64.
Comment 4 Thomas Deutschmann gentoo-dev Security 2018-01-21 20:32:23 UTC
x86 stable, closing